<h1>Hi, my name is Carlos Gutierrez 👋</h1>

[![Wakatime](https://wakatime.com/badge/user/6f5572ea-047b-4351-8050-aab17a76ad39.svg)](https://wakatime.com/@6f5572ea-047b-4351-8050-aab17a76ad39)

![GitHub Profile Views](https://komarev.com/ghpvc/?username=CarGDev&color=blueviolet)
![GitHub Followers](https://img.shields.io/github/followers/CarGDev?style=social)
![GitHub Stars](https://img.shields.io/github/stars/CarGDev?affiliations=OWNER&style=social)

<p align="flex-start"> 
    <a href="https://carg.dev">
        <img src="https://img.shields.io/badge/My%20Website-carg.dev-blue?style=for-the-badge&logo=google-chrome&logoColor=white" />
    </a>
    <a href="https://www.linkedin.com/in/cargdev/">
        <img src="https://img.shields.io/badge/LinkedIn-0077B5?style=for-the-badge&logo=linkedin&logoColor=white" />
    </a>
    <a href="https://www.npmjs.com/settings/cargdev/packages">
        <img src="https://img.shields.io/badge/NPM-%23000000.svg?style=for-the-badge&logo=npm&logoColor=white" />
    </a>
</p>


---

<h2>Who am I?</h2>
<p>
I am a Mechatronics Engineer and a Node.js Backend Developer, passionate about continuous learning and all things related to technology. I love contributing to the open-source community.

At iVoyant, I am actively working on the AT&T/Cricket Wireless project, where I contribute to designing, developing, and maintaining high-performance software solutions. My responsibilities include:

• Assessing operational feasibility by analyzing requirements, defining problems, and proposing scalable solutions.  
• Writing and maintaining unit and integration test cases for microservices to ensure reliability.  
• Deploying microservices on Kubernetes in both preproduction and production environments.  
• Enhancing UI components using React, HTML, and CSS to improve user experience.  
• Managing UI deployments on Linux servers and maintaining Bash scripts for automation.  

Previously at Tortoise, I led the migration from jQuery to Angular 12, modernizing web applications with responsive designs. I also worked on backend development, including API creation and real-time status updates. My commitment to clean, efficient code is reflected in the seamless experiences I build for users and clients.

Interested in collaborating? Feel free to reach out!
</p>

- 🄯 Currently working at iVoyant as a Backend Developer on the AT&T/Cricket Wireless project, focusing on designing and deploying scalable microservices with Nest.js and Node.js. I ensure operational feasibility by analyzing requirements and implementing solutions, develop and maintain unit and integration tests, and deploy services on Kubernetes in preproduction and production environments. Additionally, I work on UI enhancements using React, HTML, and CSS while managing deployments and automation on Linux servers with Bash scripting.


---

<h2>My NPM Packages</h2>

<h3>FullStory Asset SDK</h3>

- A lightweight SDK for integrating FullStory session tracking and asset uploading in React applications. Includes a React provider, CLI automation, and cross-platform support.
  [Available as an NPM package](https://www.npmjs.com/package/fullstory-asset-sdk) | [GitHub Repository](https://github.com/CarGDev/fullstory-asset-sdk)

<h3>React Crafter</h3>

- A lightweight SDK for integrating FullStory session tracking and asset uploading in React applications. Includes a React provider, CLI automation, and cross-platform support.
  [Available as an NPM package](https://www.npmjs.com/package/react-crafter) | [GitHub Repository](https://github.com/CarGDev/reactwizard)

<h3>CSV to JSON Converter</h3>

- Convert CSV files to JSON format in Node.js asynchronously with an easy-to-use API.
  [Available as an NPM package](https://www.npmjs.com/package/async-convert-csv-to-json) | [GitHub Repository](https://github.com/CarGDev/converter-csv-to-json)

<h3>Timestamp to Local Time</h3>

- Convert timestamps (in milliseconds) to a readable format: `yyyy/mm/dd hh:mm:ss` with `GMT-00:00` as the default timezone.  
  [Available as an NPM package](https://www.npmjs.com/package/convert-time-gmt) | [GitHub Repository](https://github.com/CarGDev/time-function)

---
## 🛠 Tech Stack

<p align="center"> 
    <img src="https://img.shields.io/badge/HTML5-E34F26?style=for-the-badge&logo=html5&logoColor=white" />
    <img src="https://img.shields.io/badge/CSS3-1572B6?style=for-the-badge&logo=css3&logoColor=white" />
    <img src="https://img.shields.io/badge/JavaScript-323330?style=for-the-badge&logo=javascript&logoColor=F7DF1E" />
    <img src="https://img.shields.io/badge/TypeScript-007ACC?style=for-the-badge&logo=typescript&logoColor=white" />
    <img src="https://img.shields.io/badge/json-5E5C5C?style=for-the-badge&logo=json&logoColor=white" />
    <img src="https://img.shields.io/badge/MySQL-00000F?style=for-the-badge&logo=mysql&logoColor=white" />
    <img src="https://img.shields.io/badge/PostgreSQL-316192?style=for-the-badge&logo=postgresql&logoColor=white" />
    <img src="https://img.shields.io/badge/Node.js-339933?style=for-the-badge&logo=nodedotjs&logoColor=white" />
    <img src="https://img.shields.io/badge/npm-CB3837?style=for-the-badge&logo=npm&logoColor=white" />
    <img src="https://img.shields.io/badge/Linux-FCC624?style=for-the-badge&logo=linux&logoColor=black" />
    <img src="https://img.shields.io/badge/NeoVim-%2357A143.svg?&style=for-the-badge&logo=neovim&logoColor=white" />
    <img src="https://img.shields.io/badge/Google_Cloud-4285F4?style=for-the-badge&logo=google-cloud&logoColor=white" />
</p>

---

## 📊 GitHub Stats

![GitHub Trophies](https://github-profile-trophy.vercel.app/?username=CarGDev&theme=onedark)


![GitHub Stats](https://github-readme-stats.vercel.app/api?username=CarGDev&show_icons=true&count_private=true&hide_border=true&title_color=ffcc00&icon_color=ffcc00&bg_color=0d1117&text_color=ffffff)

![GitHub Streak](https://github-readme-streak-stats.herokuapp.com/?user=CarGDev&theme=dark&hide_border=true)

![Top Languages](https://github-readme-stats.vercel.app/api/top-langs/?username=CarGDev&layout=compact&langs_count=10&hide_border=true&title_color=B6e443&icon_color=46c7e7&bg_color=0B0B2A&text_color=C2C1CE)

![Profile Summary](https://github-profile-summary-cards.vercel.app/api/cards/profile-details?username=CarGDev&theme=github_dark)


[![GitHub Activity Graph](https://github-readme-activity-graph.vercel.app/graph?username=CarGDev&theme=github-dark)](https://github.com/CarGDev)

